<?php

namespace Drupal\datafield\Access;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Provides an access checker for datafield operations.
 */
class EntityAccessCheck implements AccessInterface {

  /**
   * Checks access to the datafield operation on the given route.
   *
   * @param \Drupal\Core\Session\AccountInterface $account
   *   The currently logged in account.
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   The entity to check against.
   *
   * @return \Drupal\Core\Access\AccessResultInterface
   *   The access result.
   */
  public function access(AccountInterface $account, EntityInterface $entity) {
    return $entity->access('update', $account, TRUE);
  }

}
